[arch-commits] Commit in intel-dri/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Aug 5 17:17:38 EDT 2008


    Date: Tuesday, August 5, 2008 @ 17:17:37
  Author: jgc
Revision: 8040

upgpkg: intel-dri 7.1rc3-1

Modified:
  intel-dri/trunk/PKGBUILD

----------+
 PKGBUILD |   45 ++++++++++++++++++---------------------------
 1 file changed, 18 insertions(+), 27 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-05 21:12:36 UTC (rev 8039)
+++ PKGBUILD	2008-08-05 21:17:37 UTC (rev 8040)
@@ -2,38 +2,29 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=intel-dri
-pkgver=7.0.3
+pkgver=7.1rc3
 pkgrel=1
 pkgdesc="Mesa DRI drivers for Intel chipsets"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
-depends=('libdrm>=2.3.0' 'expat>=2.0')
-makedepends=('imake' 'mesa>=7.0.3' 'glproto>=1.4.9')
+depends=('libdrm>=2.3.1' 'expat>=2.0.1')
+makedepends=('dri2proto>=1.1' 'glproto>=1.4.9' 'pkgconfig' 'libxfixes' 'libxdamage' 'libxxf86vm' 'libxext')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/mesa3d/MesaLib-${pkgver}.tar.bz2)
-license=()
-md5sums=('e6e6379d7793af40a6bc3ce1bace572e')
+source=(http://www.mesa3d.org/beta/MesaLib-7.1-rc3.tar.gz)
+md5sums=('3a3cb6e3f09bf28650483b0d43ab8d88')
 
 build() {
-  cd ${startdir}/src/Mesa-${pkgver}/configs
-
-  CONFIG="linux-dri-x86"
-  [ "$CARCH" = "x86_64" ] && CONFIG="linux-dri-x86-64"
-  echo "EXTRA_LIB_PATH =" >> ${CONFIG}
-  echo "OPT_FLAGS = ${CFLAGS} -fno-strict-aliasing" >> ${CONFIG}
-  echo "SRC_DIRS = glx/x11 mesa" >> ${CONFIG}
-  echo "USING_EGL = 0" >> ${CONFIG}
-  echo "PROGRAM_DIRS =" >> ${CONFIG}
-  echo "MKDEP = makedepend" >> ${CONFIG}
-  echo "DRI_DIRS = i810 i915 i915tex i965" >> ${CONFIG}
-  echo "DRI_DRIVER_SEARCH_DIR = /usr/lib/xorg/modules/dri" >> ${CONFIG}
-  echo "DRI_DRIVER_INSTALL_DIR = /usr/lib/xorg/modules/dri" >> ${CONFIG}
-  echo "ARCH_FLAGS += -DGLX_USE_TLS" >> ${CONFIG}
-  echo "X11_INCLUDES = `pkg-config --cflags-only-I x11`" >> ${CONFIG}
-
-  ln -s ${CONFIG} current
-  cd ${startdir}/src/Mesa-${pkgver}/src/mesa
-  make linux-solo || return 1
-  cd drivers/dri
-  make DESTDIR=${startdir}/pkg install || return 1
+  cd ${srcdir}/Mesa-7.1-rc3
+  ./configure --prefix=/usr \
+    --with-dri-driverdir=/usr/lib/xorg/modules/dri \
+    --with-dri-drivers=i810,i915,i965 \
+    --enable-glx-tls \
+    --disable-glu \
+    --disable-glut \
+    --disable-glw || return 1
+  make || return 1
+  cd src/mesa/drivers/dri || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  rm -rf ${pkgdir}/usr/lib/pkgconfig
+  rm -rf ${pkgdir}/usr/include
 }




More information about the arch-commits mailing list